<?xml version="1.0"?>
<configuration>
  <configSections>
  </configSections>
  <startup>
    <supportedRuntime version="v4.0" sku=".NETFramework,Version=v4.0,Profile=Client"/>
  </startup>
  <runtime>
    <legacyCorruptedStateExceptionsPolicy enabled="false"/>
    <assemblyBinding xmlns="urn:schemas-microsoft-com:asm.v1">
      <probing privatePath="FMWeb\\Downloader;FreemakeVideoDownloader;FreemakeVideoDownloader\\Languages;FMCommon;BrowserPlugin"/>
    </assemblyBinding>
  </runtime>
  <appSettings>
    <add key="GeneralRegistryPath" value="SOFTWARE\\Freemake\\FreemakeVideoDownloader"/>
	<add key="LocalMachineRegistryPath" value="SOFTWARE\Freemake\FreemakeVideoDownloader\\SystemSettings"/>
    <add key="IntroVideoLink" value="http://vimeo.com/13005111"/>
  </appSettings>
  <system.net>
    <connectionManagement>
      <add address="*" maxconnection="100"/>
    </connectionManagement>
  </system.net>
  <system.web>
    <membership defaultProvider="ClientAuthenticationMembershipProvider">
      <providers>
        <add name="ClientAuthenticationMembershipProvider" type="System.Web.ClientServices.Providers.ClientFormsAuthenticationMembershipProvider, System.Web.Extensions, Version=4.0.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35" serviceUri=""/>
      </providers>
    </membership>
    <roleManager defaultProvider="ClientRoleProvider" enabled="true">
      <providers>
        <add name="ClientRoleProvider" type="System.Web.ClientServices.Providers.ClientRoleProvider, System.Web.Extensions, Version=4.0.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35" serviceUri="" cacheTimeout="86400"/>
      </providers>
    </roleManager>
  </system.web>
  <system.serviceModel>
    <bindings>
      <wsHttpBinding>
        <binding name="WSHttpBinding_IServiceLogic" closeTimeout="00:01:00"
            openTimeout="00:01:00" receiveTimeout="00:10:00" sendTimeout="00:01:00"
            bypassProxyOnLocal="false" transactionFlow="false" hostNameComparisonMode="StrongWildcard"
            maxBufferPoolSize="524288" maxReceivedMessageSize="1000000"
            messageEncoding="Text" textEncoding="utf-8" useDefaultWebProxy="true"
            allowCookies="false">
          <readerQuotas maxDepth="32" maxStringContentLength="8192" maxArrayLength="16384"
              maxBytesPerRead="4096" maxNameTableCharCount="16384" />
          <reliableSession ordered="true" inactivityTimeout="00:10:00"
              enabled="false" />
          <security mode="Message">
            <transport clientCredentialType="Windows" proxyCredentialType="None"
                realm="" />
            <message clientCredentialType="Windows" negotiateServiceCredential="true"
                algorithmSuite="Default" />
          </security>
        </binding>
      </wsHttpBinding>
    </bindings>
    <client>
      <endpoint address="http://localhost:8000/FreemakeCaptureLibService/Service"
          binding="wsHttpBinding" bindingConfiguration="WSHttpBinding_IServiceLogic"
          contract="IServiceLogic" name="WSHttpBinding_IServiceLogic">
      </endpoint>
    </client>
  </system.serviceModel>
  <system.diagnostics>
    
    <trace autoflush="true" indentsize="4">
      <listeners>
        <add name="TextListener"
            type="System.Diagnostics.TextWriterTraceListener"
            initializeData="trace.log" />
      </listeners>
    </trace>
    
    <switches>
      <add name="TraceLevelSwitch" value="4" />
    </switches>
  </system.diagnostics>
</configuration>
